
Foreman - Bug #739

Clicking hostname leads to 'search', not details

03/15/2011 12:01 PM - Dis Connect

Status: Closed   

Priority: Normal   

Assignee: Ohad Levy   

Category: Web Interface   

Target version: 0.3   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

From the global facts page (all facts, all hosts) clicking the hostname leads to a search for the host. At best, you have to click the

hostname again to get the details page. (At worst, it seems like multiple hosts could come up and there is no way to know which host

you initially clicked.)

Clicking hostnames should lead either to the host-specific version of the global page (eg host facts for host 'foo') or to the host

summary page.

Related issues:

Related to Foreman - Bug #740: Clicking hostname in report list leads to olde... Closed 03/15/2011

Related to Foreman - Refactor #831: /hosts/fqdn/facts should not be a redirec... Closed 04/12/2011

Associated revisions

Revision 8a40834f - 04/12/2011 04:50 AM - Ohad Levy

fixes #739: Clicking hostname leads to 'search', not details

History

#1 - 04/11/2011 07:49 AM - Ohad Levy

- Target version set to 0.3

#2 - 04/12/2011 06:29 AM - Ohad Levy

- Status changed from New to Ready For Testing

- % Done changed from 0 to 100

Applied in changeset 8a40834f10a12786ee78b52bfc1244291b51e932.

#3 - 04/12/2011 06:30 AM - Ohad Levy

- Status changed from Ready For Testing to Closed
